cURL
curl --request GET \
--url https://api.surnex.io/v1/geo/snapshots/{id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.surnex.io/v1/geo/snapshots/{id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.surnex.io/v1/geo/snapshots/{id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"status": "complete",
"scope": {
"platform": "google",
"location_code": 2840,
"language_code": "en"
},
"results": {
"aggregated_metrics": {
"metrics": [
{
"target": {
"type": "domain",
"value": "surnex.com"
},
"mentions": 42,
"ai_search_volume": 1234,
"impressions": 987
}
]
},
"top_domains": [
{
"domain": "example.com",
"mentions": 12
}
],
"top_pages": [
{
"url": "https://example.com/page",
"mentions": 5
}
],
"evidence_rows": [
{
"source_url": "https://example.com/page",
"source_domain": "example.com",
"mentions": 1,
"title": "Example title",
"snippet": "Example snippet"
}
]
},
"provenance": {
"provider": "dataforseo",
"calls": [
{
"operation": "llm_mentions_aggregated_metrics_live",
"http_status": 200,
"latency_ms": 180
},
{
"operation": "llm_mentions_top_domains_live",
"http_status": 200,
"latency_ms": 150
}
]
},
"expected_parts": [
"aggregated_metrics",
"top_domains"
],
"available_parts": [
"aggregated_metrics",
"top_domains",
"top_pages"
]
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"request_id": "req_123",
"details": {
"reason": "missing_or_invalid_api_key"
}
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Snapshot not found",
"request_id": "req_123",
"details": {}
}
}v1
Get v1geosnapshots results
GET
/
v1
/
geo
/
snapshots
/
{id}
/
results
cURL
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer sk_...
Path Parameters
Response
Snapshot result bundle
GeoSnapshotResultsResponse
Available options:
queued, running, complete, partial, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
GeoSnapshotPartType
Available options:
aggregated_metrics, top_domains, top_pages, search GeoSnapshotPartType
Available options:
aggregated_metrics, top_domains, top_pages, search ⌘I